# air_quality

Air quality index using the https://waqi.info/ endpoint.

# Permissions
See the [Location Package](https://pub.dev/packages/location) for setting up permissions.

# Usage
## Imports
The location package is also needed for the AirQuality package.
```dart
import 'package:air_quality/air_quality.dart';
import 'package:location/location.dart';
```

## API key
An API key is needed in order to perform queries. An API key is obtained here: https://aqicn.org/api/

Example:
```dart
String key = 'XXX38456b2b85c92647d8b65090e29f957638c77';
```
## Get air quality from city name
```dart
AirQualityData data = await airQuality.getAirQualityFromCity(city);
```

## Get air quality from location
```dart
Location location = new Location();
AirQualityData data = await airQuality.getAirQualityFromLocation(location);
```